"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.grafserv = exports.ExpressGrafserv = void 0;
const utils_js_1 = require("../../../utils.js");
const index_js_1 = require("../../node/index.js");
class ExpressGrafserv extends index_js_1.NodeGrafserv {
    getDigest(dynamicOptions, req, res) {
        return {
            httpVersionMajor: req.httpVersionMajor,
            httpVersionMinor: req.httpVersionMinor,
            isSecure: req.secure,
            method: req.method,
            path: req.path,
            headers: (0, utils_js_1.processHeaders)(req.headers),
            getQueryParams() {
                return req.query;
            },
            getBody() {
                if (req.body != null) {
                    return (0, utils_js_1.getBodyFromFrameworkBody)(req.body);
                }
                else {
                    return (0, utils_js_1.getBodyFromRequest)(req, dynamicOptions.maxRequestLength);
                }
            },
            requestContext: {
                expressv4: {
                    req,
                    res,
                },
            },
        };
    }
    addTo(app) {
        app.use(this.createHandler());
    }
}
exports.ExpressGrafserv = ExpressGrafserv;
function grafserv(config) {
    return new ExpressGrafserv(config);
}
exports.grafserv = grafserv;
//# sourceMappingURL=index.js.map