/// <reference types="node" />
import type { FastifyInstance, FastifyReply, FastifyRequest } from "fastify";
import { GrafservBase } from "../../../core/base.js";
import type { GrafservConfig, Result } from "../../../interfaces.js";
declare global {
    namespace GraphileConfig {
        interface GraphQLRequestContext {
            fastifyv4: {
                request: FastifyRequest;
                reply: FastifyReply;
            };
        }
    }
}
export declare class FastifyGrafserv extends GrafservBase {
    constructor(config: GrafservConfig);
    send(request: FastifyRequest, reply: FastifyReply, result: Result | null): Promise<Buffer | import("../../../interfaces.js").JSONValue>;
    addTo(app: FastifyInstance): void;
}
export declare function grafserv(config: GrafservConfig): FastifyGrafserv;
//# sourceMappingURL=index.d.ts.map