/// <reference types="node" />
import type { IncomingMessage, ServerResponse } from "node:http";
import { GrafservBase } from "../../core/base.js";
import type { GrafservConfig, RequestDigest } from "../../interfaces.js";
import type { OptionsFromConfig } from "../../options.js";
declare global {
    namespace GraphileConfig {
        interface GraphQLRequestContext {
            node: {
                req: IncomingMessage;
                res: ServerResponse;
            };
        }
    }
}
export declare class NodeGrafserv extends GrafservBase {
    constructor(config: GrafservConfig);
    protected getDigest(dynamicOptions: OptionsFromConfig, req: IncomingMessage, res: ServerResponse, isHTTPS: boolean): RequestDigest;
    createHandler(isHTTPS?: boolean): (req: IncomingMessage, res: ServerResponse, next?: (err?: Error) => void) => void;
}
export declare function grafserv(config: GrafservConfig): NodeGrafserv;
//# sourceMappingURL=index.d.ts.map